import { CheckCircleTwoTone, CloseCircleTwoTone } from "@ant-design/icons";
import { Col, Row } from "antd";
import React, { Component } from "react";
import { withTranslation } from "react-i18next";
import { connect } from "react-redux";
const mapDispatchToProps = (dispatch) => {
  return {};
};
class ConnectedSimpleCourseData extends Component {
  componentDidMount = () => {
  };
  render() {
      return (
        <React.Fragment>
          <Row gutter={[24, 24]}>
            <Col span={12} style={{ display: "flex", alignItems: "center" }}>
              <h3 style={{ margin: "unset", paddingRight: "1em" }}>
                {this.props.t("USER_COURSE_TIME_SPENT")}:
              </h3>
              {this.props.data.timeSpent}
            </Col>
            <Col span={12} style={{ display: "flex", alignItems: "center" }}>
              <h3 style={{ margin: "unset", paddingRight: "1em" }}>
                {this.props.t("USER_COURSE_IS_ACTIVE")}:
              </h3>
              {this.props.data.isActive ? (
                <CheckCircleTwoTone
                  style={{ fontSize: "2em" }}
                  twoToneColor="#42f56c"
                />
              ) : (
                <CloseCircleTwoTone
                  style={{ fontSize: "2em" }}
                  twoToneColor="red"
                />
              )}
            </Col>
          </Row>
          <Row gutter={[24, 24]}>
            <Col span={24}>
              <h3 style={{ margin: "unset", paddingRight: "1em" }}>
                {this.props.t("USER_COURSE_DESCRIPTION")}:
              </h3>
            </Col>
            <Col span={24}>
              <p>{this.props.data.description}</p>
            </Col>
          </Row>
        </React.Fragment>
      );
  }
}
const mapStateToProps = (state) => ({});
const SimpleCourseData = withTranslation()(
  connect(mapStateToProps, mapDispatchToProps)(ConnectedSimpleCourseData)
);
export default SimpleCourseData;
