import React, { Component } from "react";
import Iframe from "react-iframe";
import Cookies from "universal-cookie";

export default class UntiyFrame extends Component {
  onUnload = (e) => {
    const cookies = new Cookies();
    cookies.set("isEditorOpen", true, { path: "/" });
    const a = cookies.get("unsavedChanges");
    if (a === null || a === undefined || a === "" || a == false) {
      return false;
    } else {
      e.preventDefault();
      e.returnValue = "";
      return true;
    }
    // e.preventDefault();
    // e.returnValue = "";
  };

  componentDidMount() {
    const cookies = new Cookies();
    cookies.set("isEditorOpen", false, { path: "/" });
    window.addEventListener("beforeunload", this.onUnload);
  }
  componentDidUpdate() {
    window.addEventListener("beforeunload", this.onUnload);
  }

  componentWillUnmount() {
    window.removeEventListener("beforeunload", this.onUnload);
  }

  render() {
    return (
      <div
        style={{
          height: "100vh",
          width: "100vw",
        }}
      >
        <Iframe
          url="/WebGL/index.html"
          width="100%"
          height="100%"
          id="myId"
          className="myClassname"
          display="initial"
          position="relative"
        />
      </div>
    );
  }
}
