export const LOGIN_ACTIONS = {
  TOKEN_LOADING: "TOKEN_LOADING",
  TOKEN_LOADED: "TOKEN_LOADED",
  TOKEN_ERROR: "TOKEN_ERROR",
  LOGOUT: "LOGOUT",
};
export const REGISTRATION = {
  REGISTRATION_LOADING: "REGISTRATION_LOADING",
  REGISTRATION_LOADED: "REGISTRATION_LOADED",
  REGISTRATION_ERROR: "REGISTRATION_ERROR",
};

export const FORGOTPASSWORD = {
  FORGOTPASSWORD_LOADING: "FORGOTPASSWORD_LOADING",
  FORGOTPASSWORD_LOADED: "FORGOTPASSWORD_LOADED",
  FORGOTPASSWORD_ERROR: "FORGOTPASSWORD_ERROR",
};
export const USER = {
  USER_NATURETRAIL_LOADING: "USER_NATURETRAIL_LOADING",
  USER_NATURETRAIL_LOADED: "USER_NATURETRAIL_LOADED",
  USER_NATURETRAIL_ERROR: "USER_NATURELTRAIL_ERROR",
  GET_ALL_USER_LOADING: "GET_ALL_USER_LOADING",
  GET_ALL_USER_LOADED: "GET_ALL_USER_LOADED",
  GET_ALL_USER_ERROR: "GET_ALL_USER_ERROR",
  GET_ALL_LOCATION_ADMIN_LOADING: "GET_ALL_LOCATION_ADMIN_LOADING",
  GET_ALL_LOCATION_ADMIN_LOADED: "GET_ALL_LOCATION_ADMIN_LOADED",
  GET_ALL_LOCATION_ADMIN_ERROR: "GET_ALL_LOCATION_ADMIN_ERROR",
  GET_ALL_ADMIN_LOADING: "GET_ALL_ADMIN_LOADING",
  GET_ALL_ADMIN_LOADED: "GET_ALL_ADMIN_LOADED",
  GET_ALL_ADMIN_ERROR: "GET_ALL_ADMIN_ERROR",
  USER_DATA_LOADING: "USER_DATA_LOADING",
  USER_DATA_LOADED: "USER_DATA_LOADED",
  USER_DATA_ERROR: "USER_DATA_ERROR",
  USER_DELETE_ERROR: "USER_DELETE_ERROR",
  USER_DELETE_SENDED: "USER_DELETE_SENDED",
  USER_DELETE_SENDING: "USER_DELETE_SENDIND",
  SAVE_LOCATION_ADMIN_START: "SAVE_LOCATION_ADMIN_START",
  SAVE_LOCATION_ADMIN_SUCCESS: "SAVE_LOCATION_ADMIN_SUCCESS",
  SAVE_LOCATION_ADMIN_ERROR: "SAVE_LOCATION_ADMIN_ERROR",
  SAVE_ADMIN_START: "SAVE_ADMIN_START",
  SAVE_ADMIN_SUCCESS: "SAVE_ADMIN_SUCCESS",
  SAVE_ADMIN_ERROR: "SAVE_ADMIN_ERROR",
  GET_ALL_USER_WITHOUT_ADMIN_LOADING: "GET_ALL_USER_WITHOUT_ADMIN_LOADING",
  GET_ALL_USER_WITHOUT_ADMIN_LOADED: "GET_ALL_USER_WITHOUT_ADMIN_LOADED",
  GET_ALL_USER_WITHOUT_ADMIN_ERROR: "GET_ALL_USER_WITHOUT_ADMIN_ERROR",
  DELETE_USERS_SENDING: "DELETE_USERS_SENDING",
  DELETE_USERS_SENDED: "DELETE_USERS_SENDED",
  DELETE_USERS_ERROR: "DELETE_USERS_ERROR",
  MODIFY_USER_SENDING: "MODIFY_USER_SENDING",
  MODIFY_USER_SENDED: "MODIFY_USER_SENDED",
  MODIFY_USER_ERROR: "MODIFY_USER_ERROR",
  UPDATE_LOGGED_IN_USER_LOADING: "UPDATE_LOGGED_IN_USER_LOADING",
  MODIFY_ADMIN_SENDING: "MODIFY_ADMIN_SENDING",
  MODIFY_ADMIN_SENDED: "MODIFY_ADMIN_SENDED",
  MODIFY_ADMIN_ERROR: "MODIFY_ADMIN_ERROR",
  UPDATE_LOGGED_IN_USER_LOADED: "UPDATE_LOGGED_IN_USER_LOADED",
  UPDATE_LOGGED_IN_USER_ERROR: "UPDATE_LOGGED_IN_USER_ERROR",
  ACTIVE_OR_DEACTIVE_LOADING: "ACTIVE_OR_DEACTIVE_LOADING",
  ACTIVE_OR_DEACTIVE_LOADED: "ACTIVE_OR_DEACTIVE_LOADED",
  ACTIVE_OR_DEACTIVE_ERROR: "ACTIVE_OR_DEACTIVE_ERROR",
  GET_ALL_PLAYER_LOADED: "GET_ALL_PLAYER_LOADED",
  GET_ALL_PLAYER_LOADING: "GET_ALL_PLAYER_LOADING",
  GET_ALL_PLAYER_ERROR: "GET_ALL_PLAYER_ERROR",
  GET_ALL_MAINTAINER_LOADED: "GET_ALL_MAINTAINER_LOADED",
  GET_ALL_MAINTAINER_LOADING: "GET_ALL_MAINTAINER_LOADING",
  GET_ALL_MAINTAINER_ERROR: "GET_ALL_MAINTAINER_ERROR",
  GET_ALL_COURSE_USERS_LOADED: "GET_ALL_COURSE_USERS_LOADED",
  GET_ALL_COURSE_USERS_LOADING: "GET_ALL_COURSE_USERS_LOADING",
  GET_ALL_COURSE_USERS_ERROR: "GET_ALL_COURSE_USERS_ERROR",
  GET_ALL_COURSE_USERS_EXAM_LOADED: "GET_ALL_COURSE_USERS_EXAM_LOADED",
  GET_ALL_COURSE_USERS_EXAM_LOADING: "GET_ALL_COURSE_USERS_EXAM_LOADING",
  GET_ALL_COURSE_USERS_EXAM_ERROR: "GET_ALL_COURSE_USERS_EXAM_ERROR",
  GET_NEW_USER_CODE_LOADING: "GET_NEW_USER_CODE_LOADING",
  GET_NEW_USER_CODE_LOADED: "GET_NEW_USER_CODE_LOADED",
  GET_NEW_USER_CODE_ERROR: "GET_NEW_USER_CODE_ERROR",
  ADD_USER_SENDING: "ADD_USER_SENDING",
  ADD_USER_SENDED: "ADD_USER_SENDED",
  ADD_USER_ERROR: "ADD_USER_ERROR",
  ADD_ADMIN_OR_TRAINER_SENDING: "ADD_ADMIN_OR_TRAINER_SENDING",
  ADD_ADMIN_OR_TRAINER_SENDED: "ADD_ADMIN_OR_TRAINER_SENDED",
  ADD_ADMIN_OR_TRAINER_ERROR: "ADD_ADMIN_OR_TRAINER_ERROR",
  USER_COURSE_LOADING: "USER_COURSE_LOADING",
  USER_COURSE_LOADED: "USER_COURSE_LOADED",
  USER_COURSE_ERROR: "USER_COURSE_ERROR",
};

export const COURSE = {
  GET_ALL_COURSE_BY_USER_LOADING: "GET_ALL_COURSE_BY_USER_LOADING",
  GET_ALL_COURSE_BY_USER_LOADED: "GET_ALL_COURSE_BY_USER_LOADED",
  GET_ALL_COURSE_BY_USER_ERROR: "GET_ALL_COURSE_BY_USER_ERROR",
  GET_COURSE_BY_ID_LOADING: "GET_COURSE_BY_ID_LOADING",
  GET_COURSE_BY_ID_LOADED: "GET_COURSE_BY_ID_LOADED",
  GET_COURSE_BY_ID_ERROR: "GET_COURSE_BY_ID_ERROR",
  COURSE_DELETING: "COURSE_DELETING",
  COURSE_DELETED: "COURSE_DELETED",
  COURSE_DELETE_ERROR: "COURSE_DELETE_ERROR",
  BASE_SAVED: "BASE_SAVED",
  BASE_SAVING: "BASE_SAVING",
  BASE_SAVE_ERROR: "BASE_SAVE_ERROR",
  USER_LIST_EDIT_SAVE: "USER_LIST_EDIT_SAVE",
  USER_LIST_EDIT_SAVING: "USER_LIST_EDIT_SAVING",
  USER_LIST_EDIT_SAVE_ERROR: "USER_LIST_EDIT_SAVE_ERROR",
  GENERATE_PDF_LOADING: "GENERATE_PDF_LOADING",
  GENERATE_PDF_LOADED: "GENERATE_PDF_LOADED",
  GENERATE_PDF_ERROR: "GENERATE_PDF_ERROR",
  GENERATE_ALL_PDF_LOADING: "GENERATE_ALL_PDF_LOADING",
  GENERATE_ALL_PDF_LOADED: "GENERATE_ALL_PDF_LOADED",
  GENERATE_ALL_PDF_ERROR: "GENERATE_ALL_PDF_ERROR",
  DUPLICATE_LOADING: "DUPLICATE_LOADING",
  DUPLICATE_LOADED: "DUPLICATE_LOADED",
  DUPLICATE_ERROR: "DUPLICATE_ERROR",
  IS_ACTIVE_LOADING: "IS_ACTIVE_LOADING",
  IS_ACTIVE_LOADED: "IS_ACTIVE_LOADED",
  IS_ACTIVE_ERROR: "IS_ACTIVE_ERROR",
  SET_DOCUMENTATION_SAVING: "SET_DOCUMENTATION_SAVING",
  SET_DOCUMENTATION_SAVED: "SET_DOCUMENTATION_SAVED",
  SET_DOCUMENTATION_ERROR: "SET_DOCUMENTATION_ERROR",
  GET_DOCUMENTATION_LOADED: "GET_DOCUMENTATION_LOADED",
  GET_DOCUMENTATION_LOADING: "GET_DOCUMENTATION_LOADING",
  GET_DOCUMENTATION_ERROR: "GET_DOCUMENTATION_ERROR",
  GET_DOCUMENTATION_DATA_LOADED: "GET_DOCUMENTATION_DATA_LOADED",
  GET_DOCUMENTATION_DATA_LOADING: "GET_DOCUMENTATION_DATA_LOADING",
  GET_DOCUMENTATION_DATA_ERROR: "GET_DOCUMENTATION_DATA_ERROR",
  GET_STATISTICS_LOADED: "GET_STATISTICS_LOADED",
  GET_STATISTICS_LOADING: "GET_STATISTICS_LOADING",
  GET_STATISTICS_ERROR: "GET_STATISTICS_ERROR",
};
export const FILE_MANAGER = {
  GET_ALL_FILE_BY_COURSE_ID_LOADING: "GET_ALL_FILE_BY_COURSE_ID_LOADING",
  GET_ALL_FILE_BY_COURSE_ID_LOADED: "GET_ALL_FILE_BY_COURSE_ID_LOADED",
  GET_ALL_FILE_BY_COURSE_ID_ERROR: "GET_ALL_FILE_BY_COURSE_ID_ERROR",
  GET_ALL_FILE_LOADING: "GET_ALL_FILE_LOADING",
  GET_ALL_FILE_LOADED: "GET_ALL_FILE_LOADED",
  GET_ALL_FILE_ERROR: "GET_ALL_FILE_ERROR",
  GET_ALL_COURSE_BY_FILE_LOADING: "GET_ALL_COURSE_BY_FILE_LOADING",
  GET_ALL_COURSE_BY_FILE_LOADED: "GET_ALL_COURSE_BY_FILE_LOADED",
  GET_ALL_COURSE_BY_FILE_ERROR: "GET_ALL_COURSE_BY_FILE_ERROR",
  FILE_SAVING: "FILE_SAVING",
  FILE_SAVED: "FILE_SAVED",
  FILE_ERROR: "FILE_ERROR",
  DELETE_LOADING: "DELETE_LOADING",
  DELETE_LOADED: "DELETE_LOADED",
  DELETE_ERROR: "DELETE_ERROR",
};
export const LANGUAGE = {
  LANGUAGE_LOADING: "LANGUAGE_LOADING",
  LANGUAGE_LOADED: "LANGUAGE_LOADED",
  LANGUAGE_ERROR: "LANGUAGE_ERROR",
};
export const UNITY = {
  SET_ACTIVE: "SET_ACTIVE",
  SET_DEACTIVE: "SET_DEACTIVE",
};
export const FILTER = {
  BASE_COURSE: "BASE_COURSE",
  BASE_COURSE_RESET: "BASE_COURSE_RESET",
  BASE_COURSE_SEARCH_KEYS: "BASE_COURSE_SEARCH_KEYS_KEYS",
  BASE_COURSE_SEARCH_KEYS_RESET: "BASE_COURSE_SEARCH_KEYS_RESET",
  QUALITY_CONTROL_COURSE: "QUALITY_CONTROL_COURSE",
  QUALITY_CONTROL_COURSE_RESET: "QUALITY_CONTROL_COURSE_RESET",
  QUALITY_CONTROL_COURSE_SEARCH_KEYS: "QUALITY_CONTROL_COURSE_SEARCH_KEYS_KEYS",
  QUALITY_CONTROL_COURSE_SEARCH_KEYS_RESET:
    "QUALITY_CONTROL_COURSE_SEARCH_KEYS_RESET",
  DIGITAL_TWIN_COURSE: "DIGITAL_TWIN_COURSE",
  DIGITAL_TWIN_COURSE_RESET: "DIGITAL_TWIN_COURSE_RESET",
  DIGITAL_TWIN_COURSE_SEARCH_KEYS: "DIGITAL_TWIN_COURSE_SEARCH_KEYS_KEYS",
  DIGITAL_TWIN_COURSE_SEARCH_KEYS_RESET:
    "DIGITAL_TWIN_COURSE_SEARCH_KEYS_RESET",
};
export const TAB_HELPER = {
  BASE_COURSE_CURRENT_TAB: "BASE_COURSE_CURRENT_TAB",
  BASE_COURSE_CURRENT_TAB_RESET: "BASE_COURSE_CURRENT_TAB_RESET",
  QUALITY_CONTROL_COURSE_CURRENT_TAB: "QUALITY_CONTROL_COURSE_CURRENT_TAB",
  QUALITY_CONTROL_COURSE_CURRENT_TAB_RESET:
    "QUALITY_CONTROL_COURSE_CURRENT_TAB_RESET",
  DIGITAL_TWIN_COURSE_CURRENT_TAB: "DIGITAL_TWIN_COURSE_CURRENT_TAB",
  DIGITAL_TWIN_COURSE_CURRENT_TAB_RESET:
    "DIGITAL_TWIN_COURSE_CURRENT_TAB_RESET",
};
export const STATISTICS = {
  TACT_STATISTICS_BY_USER_AND_COURSE_LOADING: "TACT_STATISTICS_BY_USER_AND_COURSE_LOADING",
  TACT_STATISTICS_BY_USER_AND_COURSE_LOADED: "TACT_STATISTICS_BY_USER_AND_COURSE_LOADED",
  TACT_STATISTICS_BY_USER_AND_COURSE_ERROR: "TACT_STATISTICS_BY_USER_AND_COURSE_ERROR",
  TACT_STATISTICS_LOADING: "TACT_STATISTICS_LOADING",
  TACT_STATISTICS_LOADED: "TACT_STATISTICS_LOADED",
  TACT_STATISTICS_ERROR: "TACT_STATISTICS_ERROR",
  TACT_STATISTICS_USERS_LOADING: "TACT_STATISTICS_USERS_LOADING",
  TACT_STATISTICS_USERS_LOADED: "TACT_STATISTICS_USERS_LOADED",
  TACT_STATISTICS_USERS_ERROR: "TACT_STATISTICS_USERS_ERROR",
  TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADING: "TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADING",
  TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADED: "TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_LOADED",
  TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_ERROR: "TACT_STATISTICS_ACTION_BY_TACT_STATISTIC_ID_ERROR",
};